import request from '@/utils/request'

// 查询好友欢迎语列表
export function listFriendWelcome(query) {
  return request({
    url: '/qw/friendWelcome/list',
    method: 'get',
    params: query
  })
}

// 查询好友欢迎语详细
export function getFriendWelcome(id) {
  return request({
    url: '/qw/friendWelcome/' + id,
    method: 'get'
  })
}

// 新增好友欢迎语
export function addFriendWelcome(data) {
  return request({
    url: '/qw/friendWelcome',
    method: 'post',
    data: data
  })
}

// 修改好友欢迎语
export function updateFriendWelcome(data) {
  return request({
    url: '/qw/friendWelcome',
    method: 'put',
    data: data
  })
}

// 删除好友欢迎语
export function delFriendWelcome(id) {
  return request({
    url: '/qw/friendWelcome/' + id,
    method: 'delete'
  })
}

// 导出好友欢迎语
export function exportFriendWelcome(query) {
  return request({
    url: '/qw/friendWelcome/export',
    method: 'get',
    params: query
  })
}
